'use strict';
const path = require('path');
const config = require('../config');
const packageConfig = require('../package.json');

const isDev = process.env.NODE_ENV !== 'production';

const assetsPath = (_path) => {
  const assetsSubDirectory = isDev ? config.dev.assetsSubDirectory : config.build.assetsSubDirectory;

  return path.posix.join(assetsSubDirectory, _path);
};

module.exports = {
  isDev,
  assetsPath,
};
